Page MenuHomePhabricator

Replace Croutons and Toasts with SnackBar.
Closed, ResolvedPublic3 Story Points

Description

We currently use a combination of Toasts and Croutons (inconsistently) to signal things like network errors, Zero status, saved page status, etc. Let's switch to using SnackBars, which are now part of the Design Support library.

Event Timeline

Dbrant created this task.Jun 15 2015, 8:51 PM
Dbrant updated the task description. (Show Details)
Dbrant raised the priority of this task from to Needs Triage.
Dbrant moved this task to Needs Triage on the Wikipedia-Android-App-Backlog board.
Dbrant added a subscriber: Dbrant.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 15 2015, 8:51 PM
Dbrant triaged this task as Normal priority.Jul 1 2015, 3:15 PM
bearND added a subscriber: bearND.EditedJul 10 2015, 8:23 PM

For WP-Zero carrier message: While we can change background color with following code (text color is probably similar), I still think we should check if we could just leave the default colors of Snackbars.

Snackbar snackbar = Snackbar.make(view, "Here's a Snackbar",  Snackbar.LENGTH_LONG);
 View snackBarView = snackbar.getView();
 snackBarView.setBackgroundColor(colorId);
 snackbar.show();
MBinder_WMF set Security to None.Jul 15 2015, 5:35 PM
MBinder_WMF edited a custom field.
Dbrant claimed this task.Jul 17 2015, 3:39 PM

Dbrant - I tested the Save page interaction and it looks great!

But I'm not sure which other interactions have been updated, could you provide some quick details?

Signed off by design

I apologize for the back and forth. We do have a few comments here.

@Dbrant
For the saved page interaction:
Instead of "Page saving" and then "Page saved successfully" show only 1 message: "Page saved" with a check icon at the front. Make sure message is visible long enough to be read, maybe 1 second longer than current time.

Checked with 2.0.108-alpha-2015-08-07 on Nexus5(Android 5.1) for

  • Logged in successfully! /Logged out successfully
  • The network connection could not be established
  • Saving page.../Page saved successfully
Dbrant closed this task as Resolved.Aug 17 2015, 1:41 PM